Subject: Re: bug#68660: 29.2; ELPA: Wrong type argument w. multiple maintainers in package-menu-mode

From: "J.P." <[email-masked]>
Date: Tue, 23 Jan 2024 17:22:32 -0800

Stefan Monnier <[email-masked]> writes:

>>> Its installable via `package-install`, but not from the
>>> `package-menu-describe-package` because of this bug in that command.
>>
>> This indeed works interactively on Emacs 29. Thanks.
>>
>> However, ERC also supports versions 27 and 28. What's the recommended
>> way for folks to upgrade on those Emacsen? The least gruesome thing I
>> could conjure up is
>>
>>   (package-install (car (alist-get 'erc package-archive-contents)))
>
> Do you mean that `package-install` won't work because the package is
> already installed?  Hmm... yeah, that'd be a problem.
>
> I can see several ways to "fix" this, but I think the simplest would be
> to change
>
>     ;; Maintainer: Amin Bandali <[email-masked]>, F. Jason Park <[email-masked]>
>
> into
>
>     ;; Maintainer: [email-masked]
>
> Would that be a problem?

I'll learn to live with it if Amin (Cc'd) can.